<?xml version="1.0" encoding="utf-8"?>

<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/fragment_map"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/dark_grey">

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="10dp">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/dark_grey">

            <TextView
                android:id="@+id/text_view_location"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentTop="true"
                android:layout_margin="5dp"
                android:text="operator"
                android:textColor="@android:color/white"
                android:textSize="20sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/text_view_street"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/text_view_location"
                android:layout_marginStart="5dp"
                android:layout_marginTop="5dp"
                android:layout_marginRight="2dp"
                android:text="Street"
                android:textColor="@android:color/white"
                android:textSize="15sp" />

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/text_view_location"
                android:layout_toRightOf="@id/text_view_street">

                <TextView
                    android:id="@+id/text_view_number"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="3dp"
                    android:layout_marginTop="5dp"
                    android:text="number"
                    android:textColor="@android:color/white"
                    android:textSize="15sp" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <Button
                    android:id="@+id/warningBtn"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="35dp"
                    android:layout_marginEnd="5dp"
                    android:layout_marginBottom="5dp"
                    android:layout_toLeftOf="@id/favoriteBtn"
                    android:background="@drawable/ic_warning"
                    tools:ignore="SpeakableTextPresentCheck,TouchTargetSizeCheck" />

                <Button
                    android:id="@+id/favoriteBtn"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_alignParentEnd="true"
                    android:layout_gravity="right"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="35dp"
                    android:layout_marginEnd="5dp"
                    android:layout_marginBottom="5dp"
                    android:background="@drawable/ic_nav_favoriten"
                    tools:ignore="TouchTargetSizeCheck,SpeakableTextPresentCheck" />
            </RelativeLayout>

        </RelativeLayout>

    </androidx.cardview.widget.CardView>

</RelativeLayout>